# This spec file was generated using Kpp
# If you find any problems with this spec file please report
Summary:   This is the default plugin for the lineakd daemon. 
Name:      lineak_defaultplugin
Version:   0.8
Release:   beta2 
Copyright: GPL
Vendor:    Sheldon Lee Wen <leewsb@hotmail.com>
Url:       http://lineak.sourceforge.net

Packager:  Sheldon Lee Wen <leewsb@hotmail.com>
Group:     Utilities/System
Source:    lineak_defaultplugin-0.8.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: lineakd >= 0.8
BuildRequires: lineakd >= 0.8

%description
  This plugin contains the original lineakd macros.
  EAK_MUTE
  EAK_VOLUP
  EAK_VOLDOWN
  EAK_EJECT

%prep
%setup
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
                --prefix=/usr --sysconfdir=/etc  \
                $LOCALFLAGS
%build
# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

make -j$numprocs

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.lineak_defaultplugin
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.lineak_defaultplugin
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.lineak_defaultplugin

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/lineak_defaultplugin
rm -rf ../file.list.lineak_defaultplugin


%files -f ../file.list.lineak_defaultplugin
